package com.base.locationsharewhite.bean

import com.base.locationsharewhite.utils.AppPreferences
import java.util.Locale

object ConstObject {



    var isFirstLauncher = true
        get() {
            return AppPreferences.getInstance().getBoolean("isFirstLauncher", field)
        }
        set(value) {
            field = value
            AppPreferences.getInstance().put("isFirstLauncher", value, true)
        }

    var ifAgreePrivacy = true
        get() {
            return AppPreferences.getInstance().getBoolean("ifAgreePrivacy", field)
        }
        set(value) {
            field = value
            AppPreferences.getInstance().put("ifAgreePrivacy", value, true)
        }

    var myLocationCode = ""
        get() {
            return AppPreferences.getInstance().getString("myLocationCode", field)
        }
        set(value) {
            field = value
            AppPreferences.getInstance().put("myLocationCode", value, true)
        }

    var appLanguageSp = Locale.getDefault().language + "_" + Locale.getDefault().country
        get() {
            return AppPreferences.getInstance().getString("appLanguageSp", field)
        }
        set(value) {
            field = value
            AppPreferences.getInstance().put("appLanguageSp", value, true)
        }
    var changeLanguageSp = appLanguageSp
        get() {
            return AppPreferences.getInstance().getString("changeLanguageSp", field)
        }
        set(value) {
            field = value
            AppPreferences.getInstance().put("changeLanguageSp", value, true)
        }

    var topic_number = ""
        get() {
            return AppPreferences.getInstance().getString("topic_number", field)
        }
        set(value) {
            field = value
            AppPreferences.getInstance().put("topic_number", value, true)
        }

    var noShowFriendsShareGuide = false
        get() {
            return AppPreferences.getInstance().getBoolean("noShowFriendsShareGuide", field)
        }
        set(value) {
            field = value
            AppPreferences.getInstance().put("noShowFriendsShareGuide", value, true)
        }
}